Index: compat/svr4/svr4_fcntl.c
===================================================================
RCS file: /home/ncvs/src/sys/compat/svr4/svr4_fcntl.c,v
retrieving revision 1.25
diff -u -r1.25 svr4_fcntl.c
--- compat/svr4/svr4_fcntl.c	17 Aug 2002 02:36:15 -0000	1.25
+++ compat/svr4/svr4_fcntl.c	12 Dec 2002 03:14:38 -0000
@@ -349,8 +349,8 @@
 		return EINVAL;
 	}
 
-	SCARG(&ft, fd) = fd;
-	SCARG(&ft, length) = start;
+	ft.fd = fd;
+	ft.length = start;
 
 	error = ftruncate(td, &ft);
 
@@ -368,7 +368,7 @@
 	struct open_args	cup;
 
 	caddr_t sg = stackgap_init();
-	CHECKALTEXIST(td, &sg, SCARG(uap, path));
+	CHECKALTEXIST(td, &sg, uap->path);
 
 	(&cup)->path = uap->path;
 	(&cup)->flags = svr4_to_bsd_flags(uap->flags);
@@ -384,7 +384,7 @@
 	retval = td->td_retval[0];
 
 	PROC_LOCK(p);
-	if (!(SCARG(&cup, flags) & O_NOCTTY) && SESS_LEADER(p) &&
+	if (!(cup.flags & O_NOCTTY) && SESS_LEADER(p) &&
 	    !(td->td_proc->p_flag & P_CONTROLT)) {
 #if defined(NOTYET)
 		struct file	*fp;
@@ -428,11 +428,11 @@
 	struct open_args cup;
 
 	caddr_t sg = stackgap_init();
-	CHECKALTEXIST(td, &sg, SCARG(uap, path));
+	CHECKALTEXIST(td, &sg, uap->path);
 
-	SCARG(&cup, path) = SCARG(uap, path);
-	SCARG(&cup, mode) = SCARG(uap, mode);
-	SCARG(&cup, flags) = O_WRONLY | O_CREAT | O_TRUNC;
+	cup.path = uap->path;
+	cup.mode = uap->mode;
+	cup.flags = O_WRONLY | O_CREAT | O_TRUNC;
 
 	return open(td, &cup);
 }
@@ -452,16 +452,16 @@
 {
 	struct lseek_args ap;
 
-	SCARG(&ap, fd) = SCARG(uap, fd);
+	ap.fd = uap->fd;
 
 #if BYTE_ORDER == BIG_ENDIAN
-	SCARG(&ap, offset) = (((u_int64_t) SCARG(uap, offset1)) << 32) | 
-		SCARG(uap, offset2);
+	ap.offset = (((u_int64_t) uap->offset1) << 32) | 
+		uap->offset2;
 #else
-	SCARG(&ap, offset) = (((u_int64_t) SCARG(uap, offset2)) << 32) | 
-		SCARG(uap, offset1);
+	ap.offset = (((u_int64_t) uap->offset2) << 32) | 
+		uap->offset1;
 #endif
-	SCARG(&ap, whence) = SCARG(uap, whence);
+	ap.whence = uap->whence;
 
 	return lseek(td, &ap);
 }
@@ -475,12 +475,12 @@
 	int *retval;
 
 	caddr_t sg = stackgap_init();
-	CHECKALTEXIST(td, &sg, SCARG(uap, path));
+	CHECKALTEXIST(td, &sg, uap->path);
 
 	retval = td->td_retval;
 
-	SCARG(&cup, path) = SCARG(uap, path);
-	SCARG(&cup, flags) = SCARG(uap, flags);
+	cup.path = uap->path;
+	cup.flags = uap->flags;
 
 	return access(td, &cup);
 }
@@ -497,10 +497,10 @@
 	 * Just translate the args structure and call the NetBSD
 	 * pread(2) system call (offset type is 64-bit in NetBSD).
 	 */
-	SCARG(&pra, fd) = SCARG(uap, fd);
-	SCARG(&pra, buf) = SCARG(uap, buf);
-	SCARG(&pra, nbyte) = SCARG(uap, nbyte);
-	SCARG(&pra, offset) = SCARG(uap, off);
+	pra.fd = uap->fd;
+	pra.buf = uap->buf;
+	pra.nbyte = uap->nbyte;
+	pra.offset = uap->off;
 
 	return pread(td, &pra);
 }
@@ -521,10 +521,10 @@
 	 * Just translate the args structure and call the NetBSD
 	 * pread(2) system call (offset type is 64-bit in NetBSD).
 	 */
-	SCARG(&pra, fd) = SCARG(uap, fd);
-	SCARG(&pra, buf) = SCARG(uap, buf);
-	SCARG(&pra, nbyte) = SCARG(uap, nbyte);
-	SCARG(&pra, offset) = SCARG(uap, off);
+	pra.fd = uap->fd;
+	pra.buf = uap->buf;
+	pra.nbyte = uap->nbyte;
+	pra.offset = uap->off;
 
 	return (sys_pread(td, &pra, retval));
 }
@@ -542,10 +542,10 @@
 	 * Just translate the args structure and call the NetBSD
 	 * pwrite(2) system call (offset type is 64-bit in NetBSD).
 	 */
-	SCARG(&pwa, fd) = SCARG(uap, fd);
-	SCARG(&pwa, buf) = SCARG(uap, buf);
-	SCARG(&pwa, nbyte) = SCARG(uap, nbyte);
-	SCARG(&pwa, offset) = SCARG(uap, off);
+	pwa.fd = uap->fd;
+	pwa.buf = uap->buf;
+	pwa.nbyte = uap->nbyte;
+	pwa.offset = uap->off;
 
 	return pwrite(td, &pwa);
 }
@@ -565,10 +565,10 @@
 	 * Just translate the args structure and call the NetBSD
 	 * pwrite(2) system call (offset type is 64-bit in NetBSD).
 	 */
-	SCARG(&pwa, fd) = SCARG(uap, fd);
-	SCARG(&pwa, buf) = SCARG(uap, buf);
-	SCARG(&pwa, nbyte) = SCARG(uap, nbyte);
-	SCARG(&pwa, offset) = SCARG(uap, off);
+	pwa.fd = uap->fd;
+	pwa.buf = uap->buf;
+	pwa.nbyte = uap->nbyte;
+	pwa.offset = uap->off;
 
 	return (sys_pwrite(td, &pwa, retval));
 }
@@ -585,18 +585,18 @@
 
 	retval = td->td_retval;
 
-	SCARG(&fa, fd) = SCARG(uap, fd);
-	SCARG(&fa, cmd) = svr4_to_bsd_cmd(SCARG(uap, cmd));
+	fa.fd = uap->fd;
+	fa.cmd = svr4_to_bsd_cmd(uap->cmd);
 
-	switch (SCARG(&fa, cmd)) {
+	switch (fa.cmd) {
 	case F_DUPFD:
 	case F_GETFD:
 	case F_SETFD:
-		SCARG(&fa, arg) = (long) SCARG(uap, arg);
+		fa.arg = (long) uap->arg;
 		return fcntl(td, &fa);
 
 	case F_GETFL:
-		SCARG(&fa, arg) = (long) SCARG(uap, arg);
+		fa.arg = (long) uap->arg;
 		error = fcntl(td, &fa);
 		if (error)
 			return error;
@@ -612,17 +612,17 @@
 			long cmd;
 			int flags;
 
-			DPRINTF(("Setting flags %p\n", SCARG(uap, arg)));
-			cmd = SCARG(&fa, cmd); /* save it for a while */
+			DPRINTF(("Setting flags %p\n", uap->arg));
+			cmd = fa.cmd; /* save it for a while */
 
-			SCARG(&fa, cmd) = F_GETFL;
+			fa.cmd = F_GETFL;
 			if ((error = fcntl(td, &fa)) != 0)
 				return error;
 			flags = *retval;
 			flags &= O_ASYNC;
-			flags |= svr4_to_bsd_flags((u_long) SCARG(uap, arg));
-			SCARG(&fa, cmd) = cmd;
-			SCARG(&fa, arg) = (long) flags;
+			flags |= svr4_to_bsd_flags((u_long) uap->arg);
+			fa.cmd = cmd;
+			fa.arg = (long) flags;
 			return fcntl(td, &fa);
 		}
 
@@ -635,9 +635,9 @@
 			caddr_t sg = stackgap_init();
 
 			flp = stackgap_alloc(&sg, sizeof(struct flock));
-			SCARG(&fa, arg) = (long) flp;
+			fa.arg = (long) flp;
 
-			error = copyin(SCARG(uap, arg), &ifl, sizeof ifl);
+			error = copyin(uap->arg, &ifl, sizeof ifl);
 			if (error)
 				return error;
 
@@ -648,7 +648,7 @@
 				return error;
 
 			error = fcntl(td, &fa);
-			if (error || SCARG(&fa, cmd) != F_GETLK)
+			if (error || fa.cmd != F_GETLK)
 				return error;
 
 			error = copyin(flp, &fl, sizeof fl);
@@ -657,20 +657,20 @@
 
 			bsd_to_svr4_flock(&fl, &ifl);
 
-			return copyout(&ifl, SCARG(uap, arg), sizeof ifl);
+			return copyout(&ifl, uap->arg, sizeof ifl);
 		}
 	case -1:
-		switch (SCARG(uap, cmd)) {
+		switch (uap->cmd) {
 		case SVR4_F_DUP2FD:
 			{
 				struct dup2_args du;
 
-				SCARG(&du, from) = SCARG(uap, fd);
-				SCARG(&du, to) = (int)SCARG(uap, arg);
+				du.from = uap->fd;
+				du.to = (int)uap->arg;
 				error = dup2(td, &du);
 				if (error)
 					return error;
-				*retval = SCARG(&du, to);
+				*retval = du.to;
 				return 0;
 			}
 
@@ -679,12 +679,12 @@
 				struct svr4_flock	 ifl;
 				struct flock		 fl;
 
-				error = copyin(SCARG(uap, arg), &ifl,
+				error = copyin(uap->arg, &ifl,
 				    sizeof ifl);
 				if (error)
 					return error;
 				svr4_to_bsd_flock(&ifl, &fl);
-				return fd_truncate(td, SCARG(uap, fd), &fl);
+				return fd_truncate(td, uap->fd, &fl);
 			}
 
 		case SVR4_F_GETLK64:
@@ -696,9 +696,9 @@
 				caddr_t sg = stackgap_init();
 
 				flp = stackgap_alloc(&sg, sizeof(struct flock));
-				SCARG(&fa, arg) = (long) flp;
+				fa.arg = (long) flp;
 
-				error = copyin(SCARG(uap, arg), &ifl,
+				error = copyin(uap->arg, &ifl,
 				    sizeof ifl);
 				if (error)
 					return error;
@@ -710,7 +710,7 @@
 					return error;
 
 				error = fcntl(td, &fa);
-				if (error || SCARG(&fa, cmd) != F_GETLK)
+				if (error || fa.cmd != F_GETLK)
 					return error;
 
 				error = copyin(flp, &fl, sizeof fl);
@@ -719,7 +719,7 @@
 
 				bsd_to_svr4_flock64(&fl, &ifl);
 
-				return copyout(&ifl, SCARG(uap, arg),
+				return copyout(&ifl, uap->arg,
 				    sizeof ifl);
 			}
 
@@ -728,16 +728,16 @@
 				struct svr4_flock64	 ifl;
 				struct flock		 fl;
 
-				error = copyin(SCARG(uap, arg), &ifl,
+				error = copyin(uap->arg, &ifl,
 				    sizeof ifl);
 				if (error)
 					return error;
 				svr4_to_bsd_flock64(&ifl, &fl);
-				return fd_truncate(td, SCARG(uap, fd), &fl);
+				return fd_truncate(td, uap->fd, &fl);
 			}
 
 		case SVR4_F_REVOKE:
-			return fd_revoke(td, SCARG(uap, fd));
+			return fd_revoke(td, uap->fd);
 
 		default:
 			return ENOSYS;
Index: compat/svr4/svr4_filio.c
===================================================================
RCS file: /home/ncvs/src/sys/compat/svr4/svr4_filio.c,v
retrieving revision 1.19
diff -u -r1.19 svr4_filio.c
--- compat/svr4/svr4_filio.c	1 Oct 2002 17:15:50 -0000	1.19
+++ compat/svr4/svr4_filio.c	12 Dec 2002 03:14:38 -0000
@@ -63,26 +63,26 @@
      int idx = 0, cerr;
      u_long siz;
 
-     SCARG(&pa, fds) = SCARG(uap, fds);
-     SCARG(&pa, nfds) = SCARG(uap, nfds);
-     SCARG(&pa, timeout) = SCARG(uap, timeout);
+     pa.fds = uap->fds;
+     pa.nfds = uap->nfds;
+     pa.timeout = uap->timeout;
 
-     siz = SCARG(uap, nfds) * sizeof(struct pollfd);
+     siz = uap->nfds * sizeof(struct pollfd);
      pfd = (struct pollfd *)malloc(siz, M_TEMP, M_WAITOK);
 
      error = poll(td, (struct poll_args *)uap);
 
-     if ((cerr = copyin(SCARG(uap, fds), pfd, siz)) != 0) {
+     if ((cerr = copyin(uap->fds, pfd, siz)) != 0) {
        error = cerr;
        goto done;
      }
 
-     for (idx = 0; idx < SCARG(uap, nfds); idx++) {
+     for (idx = 0; idx < uap->nfds; idx++) {
        /* POLLWRNORM already equals POLLOUT, so we don't worry about that */
        if (pfd[idx].revents & (POLLOUT | POLLWRNORM | POLLWRBAND))
 	    pfd[idx].revents |= (POLLOUT | POLLWRNORM | POLLWRBAND);
      }
-     if ((cerr = copyout(pfd, SCARG(uap, fds), siz)) != 0) {
+     if ((cerr = copyout(pfd, uap->fds, siz)) != 0) {
        error = cerr;
        goto done;   /* yeah, I know it's the next line, but this way I won't
 		       forget to update it if I add more code */
@@ -105,9 +105,9 @@
      sigset_t sigmask;
      int rv;
 
-     SCARG(&ra, fd) = SCARG(uap, fd);
-     SCARG(&ra, buf) = SCARG(uap, buf);
-     SCARG(&ra, nbyte) = SCARG(uap, nbyte);
+     ra.fd = uap->fd;
+     ra.buf = uap->buf;
+     ra.nbyte = uap->nbyte;
 
      if (fget(td, uap->fd, &fp) != 0) {
        DPRINTF(("Something fishy with the user-supplied file descriptor...\n"));
@@ -116,9 +116,9 @@
 
      if (fp->f_type == DTYPE_SOCKET) {
        so = (struct socket *)fp->f_data;
-       DPRINTF(("fd %d is a socket\n", SCARG(uap, fd)));
+       DPRINTF(("fd %d is a socket\n", uap->fd));
        if (so->so_state & SS_ASYNC) {
-	 DPRINTF(("fd %d is an ASYNC socket!\n", SCARG(uap, fd)));
+	 DPRINTF(("fd %d is an ASYNC socket!\n", uap->fd));
        }
        DPRINTF(("Here are its flags: 0x%x\n", so->so_state));
 #if defined(GROTTY_READ_HACK)
@@ -130,7 +130,7 @@
      rv = read(td, &ra);
 
      DPRINTF(("svr4_read(%d, 0x%0x, %d) = %d\n", 
-	     SCARG(uap, fd), SCARG(uap, buf), SCARG(uap, nbyte), rv));
+	     uap->fd, uap->buf, uap->nbyte, rv));
      if (rv == EAGAIN) {
        DPRINTF(("sigmask = 0x%x\n", td->td_proc->p_sigmask));
        DPRINTF(("sigignore = 0x%x\n", td->td_proc->p_sigignore));
@@ -159,14 +159,14 @@
      struct file *fp;
      int rv;
 
-     SCARG(&wa, fd) = SCARG(uap, fd);
-     SCARG(&wa, buf) = SCARG(uap, buf);
-     SCARG(&wa, nbyte) = SCARG(uap, nbyte);
+     wa.fd = uap->fd;
+     wa.buf = uap->buf;
+     wa.nbyte = uap->nbyte;
 
      rv = write(td, &wa);
 
      DPRINTF(("svr4_write(%d, 0x%0x, %d) = %d\n", 
-	     SCARG(uap, fd), SCARG(uap, buf), SCARG(uap, nbyte), rv));
+	     uap->fd, uap->buf, uap->nbyte, rv));
 
      return(rv);
 }
Index: compat/svr4/svr4_ioctl.c
===================================================================
RCS file: /home/ncvs/src/sys/compat/svr4/svr4_ioctl.c,v
retrieving revision 1.14
diff -u -r1.14 svr4_ioctl.c
--- compat/svr4/svr4_ioctl.c	31 May 2002 11:52:29 -0000	1.14
+++ compat/svr4/svr4_ioctl.c	12 Dec 2002 03:14:38 -0000
@@ -94,13 +94,13 @@
 	int		 num;
 	int		 argsiz;
 
-	svr4_decode_cmd(SCARG(uap, com), dir, &c, &num, &argsiz);
+	svr4_decode_cmd(uap->com, dir, &c, &num, &argsiz);
 
-	DPRINTF(("svr4_ioctl[%lx](%d, _IO%s(%c, %d, %d), %p);\n", SCARG(uap, com), SCARG(uap, fd),
-	    dir, c, num, argsiz, SCARG(uap, data)));
+	DPRINTF(("svr4_ioctl[%lx](%d, _IO%s(%c, %d, %d), %p);\n", uap->com, uap->fd,
+	    dir, c, num, argsiz, uap->data));
 #endif
 	retval = td->td_retval;
-	cmd = SCARG(uap, com);
+	cmd = uap->com;
 
 	if ((error = fget(td, uap->fd, &fp)) != 0)
 		return (error);
@@ -161,7 +161,7 @@
 		DPRINTF((">>> OUT: so_state = 0x%x\n", so->so_state));
 	}
 #endif
-	error = (*fun)(fp, td, retval, SCARG(uap, fd), cmd, SCARG(uap, data));
+	error = (*fun)(fp, td, retval, uap->fd, cmd, uap->data);
 	fdrop(fp, td);
 	return (error);
 }
Index: compat/svr4/svr4_ipc.c
===================================================================
RCS file: /home/ncvs/src/sys/compat/svr4/svr4_ipc.c,v
retrieving revision 1.9
diff -u -r1.9 svr4_ipc.c
--- compat/svr4/svr4_ipc.c	20 Mar 2002 05:41:37 -0000	1.9
+++ compat/svr4/svr4_ipc.c	12 Dec 2002 03:14:38 -0000
@@ -221,55 +221,55 @@
 	struct semid_ds bs, *bsp;
 	caddr_t sg = stackgap_init();
 
-	SCARG(&ap, semid) = SCARG(uap, semid);
-	SCARG(&ap, semnum) = SCARG(uap, semnum);
+	ap.semid = uap->semid;
+	ap.semnum = uap->semnum;
 
-	switch (SCARG(uap, cmd)) {
+	switch (uap->cmd) {
 	case SVR4_SEM_GETZCNT:
 	case SVR4_SEM_GETNCNT:
 	case SVR4_SEM_GETPID:
 	case SVR4_SEM_GETVAL:
-		switch (SCARG(uap, cmd)) {
+		switch (uap->cmd) {
 		case SVR4_SEM_GETZCNT:
-			SCARG(&ap, cmd) = GETZCNT;
+			ap.cmd = GETZCNT;
 			break;
 		case SVR4_SEM_GETNCNT:
-			SCARG(&ap, cmd) = GETNCNT;
+			ap.cmd = GETNCNT;
 			break;
 		case SVR4_SEM_GETPID:
-			SCARG(&ap, cmd) = GETPID;
+			ap.cmd = GETPID;
 			break;
 		case SVR4_SEM_GETVAL:
-			SCARG(&ap, cmd) = GETVAL;
+			ap.cmd = GETVAL;
 			break;
 		}
 		return sys___semctl(p, &ap, retval);
 
 	case SVR4_SEM_SETVAL:
-		error = svr4_setsemun(&sg, &SCARG(&ap, arg), &SCARG(uap, arg));
+		error = svr4_setsemun(&sg, &ap.arg, &uap->arg);
 		if (error)
 			return error;
-		SCARG(&ap, cmd) = SETVAL;
+		ap.cmd = SETVAL;
 		return sys___semctl(p, &ap, retval);
 
 	case SVR4_SEM_GETALL:
-		error = svr4_setsemun(&sg, &SCARG(&ap, arg), &SCARG(uap, arg));
+		error = svr4_setsemun(&sg, &ap.arg, &uap->arg);
 		if (error)
 			return error;
-		SCARG(&ap, cmd) = GETVAL;
+		ap.cmd = GETVAL;
 		return sys___semctl(p, &ap, retval);
 
 	case SVR4_SEM_SETALL:
-		error = svr4_setsemun(&sg, &SCARG(&ap, arg), &SCARG(uap, arg));
+		error = svr4_setsemun(&sg, &ap.arg, &uap->arg);
 		if (error)
 			return error;
-		SCARG(&ap, cmd) = SETVAL;
+		ap.cmd = SETVAL;
 		return sys___semctl(p, &ap, retval);
 
 	case SVR4_IPC_STAT:
-                SCARG(&ap, cmd) = IPC_STAT;
+                ap.cmd = IPC_STAT;
 		bsp = stackgap_alloc(&sg, sizeof(bs));
-		error = svr4_setsemun(&sg, &SCARG(&ap, arg),
+		error = svr4_setsemun(&sg, &ap.arg,
 				      (union semun *)&bsp);
 		if (error)
 			return error;
@@ -279,16 +279,16 @@
                 if (error)
                         return error;
                 bsd_to_svr4_semid_ds(&bs, &ss);
-		return copyout(&ss, SCARG(uap, arg).buf, sizeof(ss));
+		return copyout(&ss, uap->arg.buf, sizeof(ss));
 
 	case SVR4_IPC_SET:
-		SCARG(&ap, cmd) = IPC_SET;
+		ap.cmd = IPC_SET;
 		bsp = stackgap_alloc(&sg, sizeof(bs));
-		error = svr4_setsemun(&sg, &SCARG(&ap, arg),
+		error = svr4_setsemun(&sg, &ap.arg,
 				      (union semun *)&bsp);
 		if (error)
 			return error;
-		error = copyin(SCARG(uap, arg).buf, (caddr_t) &ss, sizeof ss);
+		error = copyin(uap->arg.buf, (caddr_t) &ss, sizeof ss);
                 if (error)
                         return error;
                 svr4_to_bsd_semid_ds(&ss, &bs);
@@ -298,13 +298,13 @@
 		return sys___semctl(p, &ap, retval);
 
 	case SVR4_IPC_RMID:
-		SCARG(&ap, cmd) = IPC_RMID;
+		ap.cmd = IPC_RMID;
 		bsp = stackgap_alloc(&sg, sizeof(bs));
-		error = svr4_setsemun(&sg, &SCARG(&ap, arg),
+		error = svr4_setsemun(&sg, &ap.arg,
 				      (union semun *)&bsp);
 		if (error)
 			return error;
-		error = copyin(SCARG(uap, arg).buf, &ss, sizeof ss);
+		error = copyin(uap->arg.buf, &ss, sizeof ss);
                 if (error)
                         return error;
                 svr4_to_bsd_semid_ds(&ss, &bs);
@@ -334,9 +334,9 @@
 	struct svr4_sys_semget_args *uap = v;
 	struct sys_semget_args ap;
 
-	SCARG(&ap, key) = SCARG(uap, key);
-	SCARG(&ap, nsems) = SCARG(uap, nsems);
-	SCARG(&ap, semflg) = SCARG(uap, semflg);
+	ap.key = uap->key;
+	ap.nsems = uap->nsems;
+	ap.semflg = uap->semflg;
 
 	return sys_semget(p, &ap, retval);
 }
@@ -357,10 +357,10 @@
 	struct svr4_sys_semop_args *uap = v;
 	struct sys_semop_args ap;
 
-	SCARG(&ap, semid) = SCARG(uap, semid);
+	ap.semid = uap->semid;
 	/* These are the same */
-	SCARG(&ap, sops) = (struct sembuf *) SCARG(uap, sops);
-	SCARG(&ap, nsops) = SCARG(uap, nsops);
+	ap.sops = (struct sembuf *) uap->sops;
+	ap.nsops = uap->nsops;
 
 	return sys_semop(p, &ap, retval);
 }
@@ -373,9 +373,9 @@
 {
 	struct svr4_sys_semsys_args *uap = v;
 
-	DPRINTF(("svr4_semsys(%d)\n", SCARG(uap, what)));
+	DPRINTF(("svr4_semsys(%d)\n", uap->what));
 
-	switch (SCARG(uap, what)) {
+	switch (uap->what) {
 	case SVR4_semctl:
 		return svr4_semctl(p, v, retval);
 	case SVR4_semget:
@@ -462,10 +462,10 @@
 	struct svr4_sys_msgsnd_args *uap = v;
 	struct sys_msgsnd_args ap;
 
-	SCARG(&ap, msqid) = SCARG(uap, msqid);
-	SCARG(&ap, msgp) = SCARG(uap, msgp);
-	SCARG(&ap, msgsz) = SCARG(uap, msgsz);
-	SCARG(&ap, msgflg) = SCARG(uap, msgflg);
+	ap.msqid = uap->msqid;
+	ap.msgp = uap->msgp;
+	ap.msgsz = uap->msgsz;
+	ap.msgflg = uap->msgflg;
 
 	return sys_msgsnd(p, &ap, retval);
 }
@@ -488,11 +488,11 @@
 	struct svr4_sys_msgrcv_args *uap = v;
 	struct sys_msgrcv_args ap;
 
-	SCARG(&ap, msqid) = SCARG(uap, msqid);
-	SCARG(&ap, msgp) = SCARG(uap, msgp);
-	SCARG(&ap, msgsz) = SCARG(uap, msgsz);
-	SCARG(&ap, msgtyp) = SCARG(uap, msgtyp);
-	SCARG(&ap, msgflg) = SCARG(uap, msgflg);
+	ap.msqid = uap->msqid;
+	ap.msgp = uap->msgp;
+	ap.msgsz = uap->msgsz;
+	ap.msgtyp = uap->msgtyp;
+	ap.msgflg = uap->msgflg;
 
 	return sys_msgrcv(p, &ap, retval);
 }
@@ -512,8 +512,8 @@
 	struct svr4_sys_msgget_args *uap = v;
 	struct sys_msgget_args ap;
 
-	SCARG(&ap, key) = SCARG(uap, key);
-	SCARG(&ap, msgflg) = SCARG(uap, msgflg);
+	ap.key = uap->key;
+	ap.msgflg = uap->msgflg;
 
 	return sys_msgget(p, &ap, retval);
 }
@@ -538,39 +538,39 @@
 	struct msqid_ds bs;
 	caddr_t sg = stackgap_init();
 
-	SCARG(&ap, msqid) = SCARG(uap, msqid);
-	SCARG(&ap, cmd) = SCARG(uap, cmd);
-	SCARG(&ap, buf) = stackgap_alloc(&sg, sizeof(bs));
+	ap.msqid = uap->msqid;
+	ap.cmd = uap->cmd;
+	ap.buf = stackgap_alloc(&sg, sizeof(bs));
 
-	switch (SCARG(uap, cmd)) {
+	switch (uap->cmd) {
 	case SVR4_IPC_STAT:
-		SCARG(&ap, cmd) = IPC_STAT;
+		ap.cmd = IPC_STAT;
 		if ((error = sys_msgctl(p, &ap, retval)) != 0)
 			return error;
-		error = copyin(&bs, SCARG(&ap, buf), sizeof bs);
+		error = copyin(&bs, ap.buf, sizeof bs);
 		if (error)
 			return error;
 		bsd_to_svr4_msqid_ds(&bs, &ss);
-		return copyout(&ss, SCARG(uap, buf), sizeof ss);
+		return copyout(&ss, uap->buf, sizeof ss);
 
 	case SVR4_IPC_SET:
-		SCARG(&ap, cmd) = IPC_SET;
-		error = copyin(SCARG(uap, buf), &ss, sizeof ss);
+		ap.cmd = IPC_SET;
+		error = copyin(uap->buf, &ss, sizeof ss);
 		if (error)
 			return error;
 		svr4_to_bsd_msqid_ds(&ss, &bs);
-		error = copyout(&bs, SCARG(&ap, buf), sizeof bs);
+		error = copyout(&bs, ap.buf, sizeof bs);
 		if (error)
 			return error;
 		return sys_msgctl(p, &ap, retval);
 
 	case SVR4_IPC_RMID:
-		SCARG(&ap, cmd) = IPC_RMID;
-		error = copyin(SCARG(uap, buf), &ss, sizeof ss);
+		ap.cmd = IPC_RMID;
+		error = copyin(uap->buf, &ss, sizeof ss);
 		if (error)
 			return error;
 		svr4_to_bsd_msqid_ds(&ss, &bs);
-		error = copyout(&bs, SCARG(&ap, buf), sizeof bs);
+		error = copyout(&bs, ap.buf, sizeof bs);
 		if (error)
 			return error;
 		return sys_msgctl(p, &ap, retval);
@@ -588,9 +588,9 @@
 {
 	struct svr4_sys_msgsys_args *uap = v;
 
-	DPRINTF(("svr4_msgsys(%d)\n", SCARG(uap, what)));
+	DPRINTF(("svr4_msgsys(%d)\n", uap->what));
 
-	switch (SCARG(uap, what)) {
+	switch (uap->what) {
 	case SVR4_msgsnd:
 		return svr4_msgsnd(p, v, retval);
 	case SVR4_msgrcv:
@@ -660,9 +660,9 @@
 	struct svr4_sys_shmat_args *uap = v;
 	struct sys_shmat_args ap;
 
-	SCARG(&ap, shmid) = SCARG(uap, shmid);
-	SCARG(&ap, shmaddr) = SCARG(uap, shmaddr);
-	SCARG(&ap, shmflg) = SCARG(uap, shmflg);
+	ap.shmid = uap->shmid;
+	ap.shmaddr = uap->shmaddr;
+	ap.shmflg = uap->shmflg;
 
 	return sys_shmat(p, &ap, retval);
 }
@@ -681,7 +681,7 @@
 	struct svr4_sys_shmdt_args *uap = v;
 	struct sys_shmdt_args ap;
 
-	SCARG(&ap, shmaddr) = SCARG(uap, shmaddr);
+	ap.shmaddr = uap->shmaddr;
 
 	return sys_shmdt(p, &ap, retval);
 }
@@ -702,9 +702,9 @@
 	struct svr4_sys_shmget_args *uap = v;
 	struct sys_shmget_args ap;
 
-	SCARG(&ap, key) = SCARG(uap, key);
-	SCARG(&ap, size) = SCARG(uap, size);
-	SCARG(&ap, shmflg) = SCARG(uap, shmflg);
+	ap.key = uap->key;
+	ap.size = uap->size;
+	ap.shmflg = uap->shmflg;
 
 	return sys_shmget(p, &ap, retval);
 }
@@ -729,21 +729,21 @@
 	struct shmid_ds bs;
 	struct svr4_shmid_ds ss;
 
-	SCARG(&ap, shmid) = SCARG(uap, shmid);
+	ap.shmid = uap->shmid;
 
-	if (SCARG(uap, buf) != NULL) {
-		SCARG(&ap, buf) = stackgap_alloc(&sg, sizeof (struct shmid_ds));
-		switch (SCARG(uap, cmd)) {
+	if (uap->buf != NULL) {
+		ap.buf = stackgap_alloc(&sg, sizeof (struct shmid_ds));
+		switch (uap->cmd) {
 		case SVR4_IPC_SET:
 		case SVR4_IPC_RMID:
 		case SVR4_SHM_LOCK:
 		case SVR4_SHM_UNLOCK:
-			error = copyin(SCARG(uap, buf), (caddr_t) &ss,
+			error = copyin(uap->buf, (caddr_t) &ss,
 			    sizeof ss);
 			if (error)
 				return error;
 			svr4_to_bsd_shmid_ds(&ss, &bs);
-			error = copyout(&bs, SCARG(&ap, buf), sizeof bs);
+			error = copyout(&bs, ap.buf, sizeof bs);
 			if (error)
 				return error;
 			break;
@@ -752,38 +752,38 @@
 		}
 	}
 	else
-		SCARG(&ap, buf) = NULL;
+		ap.buf = NULL;
 
 
-	switch (SCARG(uap, cmd)) {
+	switch (uap->cmd) {
 	case SVR4_IPC_STAT:
-		SCARG(&ap, cmd) = IPC_STAT;
+		ap.cmd = IPC_STAT;
 		if ((error = sys_shmctl(p, &ap, retval)) != 0)
 			return error;
-		if (SCARG(uap, buf) == NULL)
+		if (uap->buf == NULL)
 			return 0;
-		error = copyin(&bs, SCARG(&ap, buf), sizeof bs);
+		error = copyin(&bs, ap.buf, sizeof bs);
 		if (error)
 			return error;
 		bsd_to_svr4_shmid_ds(&bs, &ss);
-		return copyout(&ss, SCARG(uap, buf), sizeof ss);
+		return copyout(&ss, uap->buf, sizeof ss);
 
 	case SVR4_IPC_SET:
-		SCARG(&ap, cmd) = IPC_SET;
+		ap.cmd = IPC_SET;
 		return sys_shmctl(p, &ap, retval);
 
 	case SVR4_IPC_RMID:
 	case SVR4_SHM_LOCK:
 	case SVR4_SHM_UNLOCK:
-		switch (SCARG(uap, cmd)) {
+		switch (uap->cmd) {
 		case SVR4_IPC_RMID:
-			SCARG(&ap, cmd) = IPC_RMID;
+			ap.cmd = IPC_RMID;
 			break;
 		case SVR4_SHM_LOCK:
-			SCARG(&ap, cmd) = SHM_LOCK;
+			ap.cmd = SHM_LOCK;
 			break;
 		case SVR4_SHM_UNLOCK:
-			SCARG(&ap, cmd) = SHM_UNLOCK;
+			ap.cmd = SHM_UNLOCK;
 			break;
 		default:
 			return EINVAL;
@@ -803,9 +803,9 @@
 {
 	struct svr4_sys_shmsys_args *uap = v;
 
-	DPRINTF(("svr4_shmsys(%d)\n", SCARG(uap, what)));
+	DPRINTF(("svr4_shmsys(%d)\n", uap->what));
 
-	switch (SCARG(uap, what)) {
+	switch (uap->what) {
 	case SVR4_shmat:
 		return svr4_shmat(p, v, retval);
 	case SVR4_shmdt:
